#!/bin/bash
machine=$(uname -m)
if [ $machine == "x86_64" ]; then
	echo "x86_64"
else
	exit 1
fi
TMP_VALUE=`grep -Ei '^true' /boot/.set`
TMP_VALUE1=`grep -Ei '^false' /boot/.set`

script_path=$(dirname $(readlink -f $0))
OLDVALUE=`bash $script_path/get_grubmeasure.sh`

if [ $1 = "false" ];then
        echo "false" > /boot/.set
        echo "" > /boot/.sm3
else
        echo "true" > /boot/.set
        sm3sum /boot/vmlinuz-$(uname -r) | grep SM3 | awk -F: '{print $2}' > /boot/.sm3
fi
