#!/bin/bash

script_path=$(dirname $(readlink -f $0))
KEYPARAM=deny
OLDVALUE=`bash $script_path/get_"$KEYPARAM"Value.sh`
NEWVALUE=$1

if [ -z $1 ];then
	echo "false"
	exit
fi

CONFIG_PATH=/etc/pam.d/system-auth
TEMPVAR=`cat $CONFIG_PATH | grep "auth" | grep required | grep "pam_faillock.so"`
NEW_CONTENT=`echo $TEMPVAR | sed "s/$KEYPARAM=$OLDVALUE/$KEYPARAM=$NEWVALUE/g"`

PATTERN=`echo $TEMPVAR | grep -o "$KEYPARAM"`
if [ -z "$PATTERN" ];then
	sed -i "s/$TEMPVAR/$TEMPVAR $KEYPARAM=$NEWVALUE /g" $CONFIG_PATH
else
	sed -i "s/$KEYPARAM=$OLDVALUE/$KEYPARAM=$NEWVALUE/g" $CONFIG_PATH
fi

CONFIG_PATH=/etc/pam.d/password-auth
TEMPVAR=`cat $CONFIG_PATH | grep "auth" | grep required | grep "pam_faillock.so"`
NEW_CONTENT=`echo $TEMPVAR | sed "s/$KEYPARAM=$OLDVALUE/$KEYPARAM=$NEWVALUE/g"`

PATTERN=`echo $TEMPVAR | grep -o "$KEYPARAM"`
if [ -z "$PATTERN" ];then
        sed -i "s/$TEMPVAR/$TEMPVAR $KEYPARAM=$NEWVALUE /g" $CONFIG_PATH
else
        sed -i "s/$KEYPARAM=$OLDVALUE/$KEYPARAM=$NEWVALUE/g" $CONFIG_PATH
fi
