#!/bin/bash

# bash setsigkey.sh 0 验签,验签不过时,提示告警信息 
# bash setsigkey.sh 1 不验签
# bash setsigkey.sh 2 验签,验签不过时,停止安装

SIGFILE="/etc/dpkg/.deb.sig"

DPKGCFG="/etc/dpkg/dpkg.cfg"

help()
{
	echo "useage:"
	echo "    bash setsigkey.sh 0"
	echo "    bash setsigkey.sh 1"
	echo "    bash setsigkey.sh 2"
}

if [ $# -lt 1 ];then
	help
	exit
fi

first_param=$1


if [ $1 == 0 ];then
	LINE_NUMBER=$(grep -n '^[^#]*no-debsig' "$DPKGCFG" | cut -d: -f1)
	if [ -n "$LINE_NUMBER" ];then
		sed -i "${LINE_NUMBER}s/^/#/" "$DPKGCFG"
	fi
fi

if [ $1 == 1 ];then
	LINE_NUMBER=$(grep -n '^#.*no-debsig' "$DPKGCFG" | cut -d: -f1)
	if [ -n "$LINE_NUMBER" ];then
		sed -i "${LINE_NUMBER}s/^#//" "$DPKGCFG"
	fi
fi

if [ $1 == 2 ];then
	LINE_NUMBER=$(grep -n '^[^#]*no-debsig' "$DPKGCFG" | cut -d: -f1)
	if [ -n "$LINE_NUMBER" ];then
		sed -i "${LINE_NUMBER}s/^/#/" "$DPKGCFG"
	fi
fi


if [ ! -f "${SIGFILE}" ];then
	touch "${SIGFILE}"
fi



# 检查 /etc/dpkg/.deb.sig 文件是否存在
#sed -i '/debsigkey=/d' ${SIGFILE}
echo "debsigkey=${first_param}" > ${SIGFILE}

