#!/bin/bash

product_dir="/opt/nfssec"


rmmod_witch_check() 
{
    MODULE_NAME=$1

    if lsmod | grep -q $MODULE_NAME; then
        echo "Module $MODULE_NAME exists, removing..."
        rmmod $MODULE_NAME
    else
        echo "Module $MODULE_NAME does not exist"
    fi
}

__unload()
{
    export LD_LIBRARY_PATH=${product_dir}/lib/
    
    # ${product_dir}/bin/nfssecd --stop

    pkill -9 nfssecd 
    pkill -9 nfssecUI 
    pkill -9 nfssecLogd 
    
    # rmmod_witch_check nfsseck
    # rmmod_witch_check nfssecdm

	rmmod_witch_check nfssecprot
	rmmod_witch_check nfssecmac
	rmmod_witch_check nfssecima
}

__unload
